Subject: Re: [PATCH] powerpc: warn on spurious irq events (but ratelimited)

From: Paul Gortmaker <[email-masked]>
Date: Mon, 21 Dec 2015 19:21:56 -0500

[Re: [PATCH] powerpc: warn on spurious irq events (but ratelimited)] On 22/12/2015 (Tue 11:10) Michael Ellerman wrote:

> On Mon, 2015-12-21 at 18:18 -0500, Paul Gortmaker wrote:
> > On Mon, Dec 7, 2015 at 8:38 PM, Paul Gortmaker
> > <[email-masked]> wrote:
> > > It might be worth warning on spurious IRQ events; they might
> > > point someone at a bogus DTS value or similar.
> > > 

[...]

> > 
> > If we did decide we cared about this patch, then no need for "irq" above, as
> > we already know it is equal to NO_IRQ.
> 
> I'm not convinced it's worth printing, we already have a counter in proc.
> 
> I think it's more likely to just lead to console spam.
> 
> But maybe I'm wrong and you can convince me otherwise :)

I'm not sure I can even convince myself, let alone others.   :)

Feel free to bin it.

Paul.
--

> cheers